<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__cps__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_cps_char_value_t</compoundname>
    <includes local="no">cy_ble_cps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__cps__char__value__t_1afc00a78da3471fded5f82be56801580f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_cps_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="265" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="265" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cps__char__value__t_1af7654656d65fe8e8851c2922e48ee6bf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_cps_char_value_t::peerAddrType</definition>
        <argsstring />
        <name>peerAddrType</name>
        <briefdescription>
<para>bd address type of the device advertising. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC_RPA</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM_RPA </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="273" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="273" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cps__char__value__t_1ad37d841c195b7d67c6ab61cd55533f51" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_cps_char_value_t::peerBdAddr</definition>
        <argsstring />
        <name>peerBdAddr</name>
        <briefdescription>
<para>Public Device Address or Random Device Address for each device that responded to scanning. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="277" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="277" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cps__char__value__t_1a4e50bf8bdfa9f6b12db9494c5be80ae9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089">cy_en_ble_cps_char_index_t</ref></type>
        <definition>cy_en_ble_cps_char_index_t cy_stc_ble_cps_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="280" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="280" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cps__char__value__t_1a89874194dec990bb05cdd1bb6cb5b7db" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_cps_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="283" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="283" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Characteristic Value parameter structure of Cycling Power Service. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="302">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="301">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="300">
        <label>cy_stc_ble_cps_char_value_t</label>
        <link refid="structcy__stc__ble__cps__char__value__t" />
        <childnode refid="301" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="302" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="284" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="262" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="263" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__cps__char__value__t_1a4e50bf8bdfa9f6b12db9494c5be80ae9" virt="non-virtual"><scope>cy_stc_ble_cps_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__cps__char__value__t_1afc00a78da3471fded5f82be56801580f" virt="non-virtual"><scope>cy_stc_ble_cps_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__cps__char__value__t_1af7654656d65fe8e8851c2922e48ee6bf" virt="non-virtual"><scope>cy_stc_ble_cps_char_value_t</scope><name>peerAddrType</name></member>
      <member prot="public" refid="structcy__stc__ble__cps__char__value__t_1ad37d841c195b7d67c6ab61cd55533f51" virt="non-virtual"><scope>cy_stc_ble_cps_char_value_t</scope><name>peerBdAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__cps__char__value__t_1a89874194dec990bb05cdd1bb6cb5b7db" virt="non-virtual"><scope>cy_stc_ble_cps_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>